---
version: 3

images:
  base_image:
    name: registry.redhat.io/ansible-automation-platform-25/de-supported-rhel8:latest

dependencies:
  galaxy:
    collections:
      - name: ansible.eda
      - name: community.general
      - name: redhat.insights_eda
      - name: servicenow.itsm
  system: bindep-eda.txt

additional_build_files:
  - src: ansible.cfg
    dest: configs

options:
  package_manager_path: /usr/bin/microdnf

additional_build_steps:
  prepend_base:
    - RUN echo This is a prepend base command!

  prepend_galaxy:
    - COPY _build/configs/ansible.cfg /etc/ansible/ansible.cfg
    - ENV ANSIBLE_GALAXY_SERVER_LIST='certified, validated, community_galaxy'
    - ENV ANSIBLE_GALAXY_SERVER_CERTIFIED_URL=https://console.redhat.com/api/automation-hub/content/published/
    - ENV ANSIBLE_GALAXY_SERVER_CERTIFIED_AUTH_URL=https://sso.redhat.com/auth/realms/redhat-external/protocol/openid-connect/token
    - ENV ANSIBLE_GALAXY_SERVER_VALIDATED_URL=https://console.redhat.com/api/automation-hub/content/validated/
    - ENV ANSIBLE_GALAXY_SERVER_VALIDATED_AUTH_URL=https://sso.redhat.com/auth/realms/redhat-external/protocol/openid-connect/token
    - ENV ANSIBLE_GALAXY_SERVER_COMMUNITY_GALAXY_URL=https://galaxy.ansible.com/
    # Update environment variables with new token values to regenerate the execution environment
    # Token can be generated at https://console.redhat.com/ansible/automation-hub/token
    # Pass both ARGs into Ansible-Builder
    - ARG ANSIBLE_GALAXY_SERVER_CERTIFIED_TOKEN
    - ARG ANSIBLE_GALAXY_SERVER_VALIDATED_TOKEN

